CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

AddPolyfaceMesh method example

Private Sub AddPolyfaceMeshExample()

     ' This example creates and adds a polyface mesh to the drawing.

     Dim faceObj As progeCAD.PolyfaceMesh

     Dim icadDoc As progeCAD.Document

     Dim Pt1 As progeCAD.Point

     Dim Pt2 As progeCAD.Point

     Dim Pt3 As progeCAD.Point

     Dim Pt4 As progeCAD.Point

     Dim myPoints As Points

     Dim myObj As Object

     Set icadDoc = ActiveDocument

     ' Define the four coordinates of the face

     Set myPoints = Library.CreatePoints

     Set Pt1 = Library.CreatePoint(0, 0, 0)

     myPoints.Add

     myPoints(myPoints.Count).x = Pt1.x

     myPoints(myPoints.Count).y = Pt1.y

     myPoints(myPoints.Count).z = Pt1.z

 

     Set Pt2 = Library.CreatePoint(3, 0, 2)

     myPoints.Add

     myPoints(myPoints.Count).x = Pt2.x

     myPoints(myPoints.Count).y = Pt2.y

     myPoints(myPoints.Count).z = Pt2.z

     Set Pt3 = Library.CreatePoint(6, 5, 0)

     myPoints.Add

     myPoints(myPoints.Count).x = Pt3.x

     myPoints(myPoints.Count).y = Pt3.y

     myPoints(myPoints.Count).z = Pt3.z

     Set Pt4 = Library.CreatePoint(4, 4, 2)

     myPoints.Add

     myPoints(myPoints.Count).x = Pt4.x

     myPoints(myPoints.Count).y = Pt4.y

     myPoints(myPoints.Count).z = Pt4.z

     ' Add the 3DFace object

     Set faceObj = icadDoc.ModelSpace.AddPolyfaceMesh(myPoints)

     ' DEFINE ADDITIONAL FACE INFO HERE

     faceObj.Update

ThisDocument.ActiveViewport.ZoomExtents

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.